%define majver %(echo %version | cut -d. -f1-2)

Name:          akregator
Version:       17.08.2
Release:       1mamba
Summary:       KDE Frameworks 5 RSS feed reader
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/akregator-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libgrantlee-devel
BuildRequires: libgrantleetheme-devel
BuildRequires: libkauth-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdepim-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkleo-devel
BuildRequires: libkmime-devel
BuildRequires: libknotifications-devel
BuildRequires: libknotifyconfig-devel
BuildRequires: libkontactinterface-devel
BuildRequires: libkparts-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libpimcommon-devel
BuildRequires: libqt5-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsyndication-devel
BuildRequires: messagelib-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
RSS feed reader.
This package is part of KDE5, as a component of the KDE5 kdepim module.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/akregator.*categories
%{_bindir}/akregator
%{_bindir}/akregatorstorageexporter
%{_libdir}/libakregatorinterfaces.so
%{_datadir}/akregator/grantleetheme/*/*
%{_datadir}/applications/org.kde.akregator.desktop
%{_datadir}/config.kcfg/akregator.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.akregator.part.xml
%{_datadir}/icons/hicolor/*/apps/akregator.png
%{_datadir}/icons/hicolor/*/apps/akregator_empty.png
%{_datadir}/kconf_update/akregator-15.08-kickoff.sh
%{_datadir}/kconf_update/akregator.upd
%{_datadir}/knotifications5/akregator.notifyrc
%{_datadir}/kontact/ksettingsdialog/akregator.setdlg
%{_datadir}/kservices5/*.desktop
%{_datadir}/kservices5/feed.protocol
%{_datadir}/kservices5/kontact/akregatorplugin.desktop
%{_kde5_servicetypesdir}/akregator_plugin.desktop
%dir %{_datadir}/kxmlgui5/akregator
%{_datadir}/kxmlgui5/akregator/*
%{_datadir}/messageviewer/about/default/introduction_akregator.html
%{_datadir}/metainfo/org.kde.akregator.appdata.xml
%{_datadir}/doc/HTML/en/akregator
%lang(ca) %{_datadir}/doc/HTML/ca/akregator
%lang(de) %{_datadir}/doc/HTML/de/akregator
%lang(es) %{_datadir}/doc/HTML/es/akregator
%lang(et) %{_datadir}/doc/HTML/et/akregator
%lang(it) %{_datadir}/doc/HTML/it/akregator
%lang(nl) %{_datadir}/doc/HTML/nl/akregator
%lang(pt) %{_datadir}/doc/HTML/pt/akregator
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR/akregator
%lang(sv) %{_datadir}/doc/HTML/sv/akregator
%lang(uk) %{_datadir}/doc/HTML/uk/akregator
%doc COPYING COPYING.DOC

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libakregatorinterfaces.so.*
%{_libdir}/libakregatorprivate.so.*
%{_libdir}/qt5/plugins/*.so
%doc AUTHORS COPYING.LIB

%changelog
* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Sun Sep 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Tue Aug 29 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Thu Aug 10 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Sun Mar 26 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Sat Mar 04 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Sat Jan 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 16.12.1-1mamba
- package created using the webbuild interface
